Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354191 - Logout mate session throws Gtk-CRITICAL error in journal
Summary: Logout mate session throws Gtk-CRITICAL error in journal
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-session-manager
Version: 23
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-10 13:39 UTC by Don Swaner
Modified: 2016-12-20 21:09 UTC (History)
3 users (show)

Fixed In Version: mate-session-manager-1.14.0-2.fc24 mate-session-manager-1.14.0-2.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 21:09:49 UTC


Attachments (Terms of Use)

Description Don Swaner 2016-07-10 13:39:26 UTC
Description of problem:
When logging out of a mate session, an error message is generated in the journal:
Gtk-CRITICAL: gtk_image_set_from_icon_name: assertion 'GTK_IS_IMAGE (image)' failed

Version-Release number of selected component (if applicable):
Name        : mate-session-manager
Arch        : x86_64
Epoch       : 0
Version     : 1.14.0
Release     : 1.fc23

How reproducible:
Most of the time.

Steps to Reproduce:
1.  Log out of desktop session
2.  log back in
3.  view recent journal entries (journalctl -r)

Actual results:
Journal has error message: Gtk-CRITICAL: gtk_image_set_from_icon_name: assertion 'GTK_IS_IMAGE (image)' failed

Expected results:
No error message.

Additional info:
At the logout dialog, if you cancel the logout, and then logout again, it may cause repeated error messages, one or more times for each canceled logout.  Sometimes the error message occurs even if the logout is not canceled.

Comment 1 deadrat 2016-08-03 13:00:10 UTC
It happens with cinnamon too.. 


Error: 
cinnamon-session[1293]: Gtk-CRITICAL: t+10421.43705s: gtk_image_set_from_icon_name: assertion 'GTK_IS_IMAGE (image)' failed

Comment 2 Fedora Update System 2016-08-03 17:00:25 UTC
mate-session-manager-1.14.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-132c4e55fb

Comment 3 Fedora Update System 2016-08-03 17:00:31 UTC
mate-session-manager-1.14.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-337d7baaeb

Comment 4 Fedora Update System 2016-08-03 17:00:36 UTC
mate-session-manager-1.14.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b9a343a16

Comment 5 Fedora Update System 2016-08-04 01:53:57 UTC
mate-session-manager-1.14.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b9a343a16

Comment 6 Fedora Update System 2016-08-04 01:57:41 UTC
mate-session-manager-1.14.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-132c4e55fb

Comment 7 Fedora Update System 2016-08-05 00:20:38 UTC
mate-session-manager-1.14.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-337d7baaeb

Comment 8 Fedora Update System 2016-08-08 20:22:39 UTC
mate-session-manager-1.14.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-08-12 01:22:52 UTC
mate-session-manager-1.14.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-08-13 10:41:59 UTC
mate-session-manager-1.14.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3d88818d7f

Comment 11 Fedora Update System 2016-08-14 00:17:55 UTC
mate-session-manager-1.14.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3d88818d7f

Comment 12 Fedora Update System 2016-08-31 19:19:28 UTC
mate-session-manager-1.14.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora End Of Life 2016-11-25 09:24:55 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2016-12-20 21:09:49 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.